Bug 987421 - keystone: keystone user-get shows tenant id but it should also show tenant name
keystone: keystone user-get shows tenant id but it should also show tenant name
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Jamie Lennox
Ami Jeain
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 07:14 EDT by Dafna Ron
Modified: 2016-04-26 21:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 17:00:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-07-23 07:14:12 EDT
Description of problem:

when running keystone user-get we can see the tenant id but it would be very helpful if we can add the tenant name as well. 
If I am trying to find in which tenant a specific user is on, i will not only have to run keystone tenant-list (which is an extra command) but also, the grep will issue the result without the table fields: 

[root@opens-vdsb ~(keystone_admin)]# keystone tenant-list |grep 00e646e7737047f0af361e7f06525cac
| 00e646e7737047f0af361e7f06525cac |  dafna   |   True  |

in any case, I think that we should either add a tag to be able to get the tenant display name as well as id or simply add it to the current list. 

Version-Release number of selected component (if applicable):

openstack-keystone-2013.1.2-2.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create tenants and a user with member permissions for a tenant 
2. run: keystone user-get <user> 
3. 

Actual results:

we get the results with tenant id only

Expected results:

we need to either add the tenant name in the results of the query or add an option so we can also display the name field. 

Additional info:

[root@opens-vdsb ~(keystone_admin)]# keystone user-get dron
+----------+----------------------------------+
| Property |              Value               |
+----------+----------------------------------+
|  email   |         dron@redhat.com          |
| enabled  |               True               |
|    id    | c9032a2bb21248009a88106a55306ce6 |
|   name   |               dron               |
| tenantId | 00e646e7737047f0af361e7f06525cac |
+----------+----------------------------------+
[root@opens-vdsb ~(keystone_admin)]# keystone tenant-list 
+----------------------------------+----------+---------+
|                id                |   name   | enabled |
+----------------------------------+----------+---------+
| f372ca53f0484f589413148b6c9ad39c |  admin   |   True  |
| 00e646e7737047f0af361e7f06525cac |  dafna   |   True  |
| 9e33f7a141bf496aadc7fc06646871ec |   gaga   |   True  |
| c17129298f2641cbac6979b6a79a432a | new_ten  |   True  |
| 1562db18fbb3450e93614f72664928ce | services |   True  |
+----------------------------------+----------+---------+
[root@opens-vdsb ~(keystone_admin)]# keystone help tenant-list 
usage: keystone tenant-list

List all tenants
[root@opens-vdsb ~(keystone_admin)]# keystone tenant-list |grep 00e646e7737047f0af361e7f06525cac
| 00e646e7737047f0af361e7f06525cac |  dafna   |   True  |
Comment 1 Adam Young 2013-09-09 16:54:32 EDT
Please open this as an upstream feature request and link to the bug report.
Comment 2 Adam Young 2014-01-28 17:00:43 EST
Not going to be changed upstream.

Note You need to log in before you can comment on or make changes to this bug.